Managed Service for SPQR API, REST: Cluster.ListHosts
Retrieves a list of hosts for the specified cluster.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-spqr/v1/clusters/{clusterId}/hosts
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the SPQR cluster. The maximum string length in characters is 50. |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set The maximum string length in characters is 100. |
Response
HTTP Code: 200 - OK
{
"hosts": [
{
"name": "string",
"clusterId": "string",
"zoneId": "string",
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"role": "string",
"health": "string",
"services": [
{
"type": "string",
"health": "string"
}
],
"subnetId": "string",
"assignPublicIp": "boolean",
"type": "string",
"walleLink": "string",
"stateReason": "string",
"system": {
"cpu": {
"timestamp": "string",
"used": "string"
},
"memory": {
"timestamp": "string",
"used": "string",
"total": "string"
},
"disk": {
"timestamp": "string",
"used": "string",
"total": "string"
}
},
"shardName": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
hosts[] |
List of Host resources. |
|
nextPageToken |
string This token allows you to get the next page of results for list requests. If the number of results |
Host
|
Field |
Description |
|
name |
string Name of the SPQR host. The host name is assigned by MDB at creation time, and cannot be changed. |
|
clusterId |
string The ID of the SPQR cluster that the host belongs to. |
|
zoneId |
string ID of the availability zone where the SPQR host resides. |
|
resources |
Resources allocated to the SPQR host. |
|
role |
enum (Role) Role of the host in the cluster.
|
|
health |
enum (Health) Status code of the aggregated health of the host.
|
|
services[] |
Services provided by the host. |
|
subnetId |
string ID of the subnet that the host belongs to. |
|
assignPublicIp |
boolean Flag showing public IP assignment status to this host. |
|
type |
enum (Type) Host type
|
|
walleLink |
string link to wall-e (porto only) |
|
stateReason |
string host state reason from cms (porto only) |
|
system |
System metrics |
|
shardName |
string Shard which this host belongs to. |
Resources
|
Field |
Description |
|
resourcePresetId |
string ID of the preset for computational resources available to a host (CPU, memory etc.). |
|
diskSize |
string (int64) Volume of the storage available to a host, in bytes. |
|
diskTypeId |
string Type of the storage environment for the host.
|
Service
|
Field |
Description |
|
type |
enum (Type) Type of the service provided by the host.
|
|
health |
enum (Health) Status code of server availability.
|
SystemMetrics
|
Field |
Description |
|
cpu |
|
|
memory |
|
|
disk |
CPUMetric
|
Field |
Description |
|
timestamp |
string (int64) |
|
used |
string |
MemoryMetric
|
Field |
Description |
|
timestamp |
string (int64) |
|
used |
string (int64) |
|
total |
string (int64) |
DiskMetric
|
Field |
Description |
|
timestamp |
string (int64) |
|
used |
string (int64) |
|
total |
string (int64) |